# -*- coding: utf-8 -*-
# coverage: ignore

# The content for all documentation lives in ../docs. That folder is
# following the structure for the Google Quantum site configured for the
# internal CMS, devsite. The readthedocs layer is a secondary, which generates
# the content using sphinx to readthedocs.io until we go live with the devsite.
#
# This is the configuration file for the Sphinx documentation builder.
# See http://www.sphinx-doc.org/en/master/config for help

# -- Path setup --------------------------------------------------------------

# If extensions (or modules to document with autodoc) are in another directory,
# add these directories to sys.path here. If the directory is relative to the
# documentation root, use os.path.abspath to make it absolute, like shown here.
#

import os
import sys

cirq_root_path = os.path.dirname(os.path.dirname(__file__))
sys.path.insert(0, cirq_root_path)

# -- Project information -----------------------------------------------------

project = 'OpenFermion'
copyright = '2017-2020, The OpenFermion Developers'  # pylint: disable=redefined-builtin
author = 'The OpenFermion Developers'

# The short X.Y version
version = ""  # '.'.join(release.split('.')[:2])

# -- General configuration ---------------------------------------------------

# If your documentation needs a minimal Sphinx version, state it here.
# needs_sphinx = '1.0'

# Add any Sphinx extension module names here, as strings. They can be
# extensions coming with Sphinx (named 'sphinx.ext.*') or your custom
# ones.
extensions = [
    'myst_parser',
    'notfound.extension',
]

# Add any paths that contain templates here, relative to this directory.
templates_path = ['_templates']

# Allow markdown includes.
# http://www.sphinx-doc.org/en/master/markdown.html
# The suffix(es) of source filenames.
# You can specify multiple suffix as a list of string:
#
source_suffix = {
    '.rst': 'restructuredtext',
    '.md': 'markdown',
}

# The master toctree document.
master_doc = 'index'

# The language for content autogenerated by Sphinx. Refer to documentation
# for a list of supported languages.
#
# This is also used if you do content translation via gettext catalogs.
# Usually you set "language" from the command line for these cases.
language = None

# List of patterns, relative to source directory, that match files and
# directories to ignore when looking for source files.
# This pattern also affects html_static_path and html_extra_path .
exclude_patterns = [
    'Thumbs.db',
    '.DS_Store',
]

# The name of the Pygments (syntax highlighting) style to use.
pygments_style = 'sphinx'

# -- Options for HTML output ---------------------------------------------

html_theme = 'sphinx_rtd_theme'
# html_favicon = 'favicon.ico'
# html_theme_options = {}

# Custom sidebar templates, must be a dictionary that maps document names
# to template names.
#
# The default sidebars (for documents that don't match any pattern) are
# defined by theme itself.  Builtin themes are using these templates by
# default: ``['localtoc.html', 'relations.html', 'sourcelink.html',
# 'searchbox.html']``.
#
# html_sidebars = {}

html_logo = 'logo_horizontal.svg'
html_css_files = ['tweak-style.css']
